## nymea-plugins 1.12.0+202509251050~bookworm1

=== mcp3008/requirements.txt ===
RPi.GPIO==0.7.1 \
    --hash=sha256:15311d3b063b71dee738cd26570effc9985a952454d162937c34e08c0fc99902 \
    --hash=sha256:26b2ade4bb353bbe5417a64e40b45cdf00a82f27c2d320c0dd46c59751959d77 \
    --hash=sha256:29226823da8b5ccb9001d795a944f2e00924eeae583490f0bc7317581172c624 \
    --hash=sha256:57b6c044ef5375a78c8dda27cdfadf329e76aa6943cd6cffbbbd345a9adf9ca5 \
    --hash=sha256:77afb817b81331ce3049a4b8f94a85e41b7c404d8e56b61ac0f1eb75c3120868 \
    --hash=sha256:96ea7e5bf6bf592828487bfa7d3d1d0e432d5d1682e9e33b4dab398914628fcd \
    --hash=sha256:b86b66dc02faa5461b443a1e1f0c1d209d64ab5229696f32fb3b0215e0600c8c \
    --hash=sha256:cd61c4b03c37b62bba4a5acfea9862749c33c618e0295e7e90aa4713fb373b70 \
    --hash=sha256:e5dfec2c4ccb7dbe9eef3dfc76a3b04121fc62d77fd8fbe1a8e841468a1b0c4c \
    --hash=sha256:231f6142c25975a7e39b96faf4905f05f97dba6809e8c5f0d58f284b35b4b821

## nymea-plugins 1.9.4+202410011653~bullseye1

=== debian/changelog ===
nymea-plugins (1.9.4+202410011653~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * Keba: Add support for P30 PV Edition
  * Update debian copyright
  * New plugin: Add EVerest EV charger plugin

 -- jenkins <developer@nymea.io>  Tue, 01 Oct 2024 16:54:08 +0200

nymea-plugins (1.9.3) jammy; urgency=medium

  [ Boernsman ]
  * New plugin: Logilink

  [ Simon Stürz ]
  * Fronius: Update S0 Meter detection and improve debugging
  * Update debian packaging
  * EVBox: Make params read only
  * PushNotifications: Update firebase cloud messaging to API V1

 -- jenkins <developer@nymea.io>  Fri, 19 Jul 2024 21:05:57 +0200

nymea-plugins (1.9.2) jammy; urgency=medium

  [ Simon Stürz ]
  * go-e: Add zeroconf discovery support
  * Remove boblight plugin
  * Fronius: Add support for S0 meters

 -- jenkins <developer@nymea.io>  Wed, 15 May 2024 12:33:51 +0200

nymea-plugins (1.9.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * Shelly: Add support for the PlusSmoke
  * Unifi: Fix connecting to the unifi controller on Unifi OS hosts

  [ Jenkins ]
  * Update README.md Unifi Plugin

  [ Michael Zanetti ]
  * Shelly: Add support for the Pro 1 PM
  * Awattar: Add a ranking state for simple use in rules

 -- jenkins <developer@nymea.io>  Tue, 30 Jan 2024 12:02:01 +0100

nymea-plugins (1.9.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * MqttClient: Add keep alive timeout parameter

  [ Simon Stürz ]
  * Keba: Fix parsing product information for BMW

  [ Michael Zanetti ]
  * New Plugin: Tmate
  * EQ-3: Fix MaxCube building with latest gcc
  * EQ-3: Add support for Bluetooth pairing
  * MailNotification: Fix double mail ending

 -- jenkins <developer@nymea.io>  Mon, 18 Dec 2023 10:06:58 +0100

nymea-plugins (1.8.4) jammy; urgency=medium

  [ Jenkins ]
  * Shelly: Fix discovery for 1 Plus PM
  * Shelly: Set discovery insensitive to upper / lower case

 -- jenkins <developer@nymea.io>  Mon, 13 Nov 2023 21:25:38 +0100

nymea-plugins (1.8.3) jammy; urgency=medium

  [ Michael Zanetti ]
  * Shelly plus addon
  * Fronius: Add precise discovery

 -- jenkins <developer@nymea.io>  Thu, 17 Aug 2023 14:10:48 +0200

nymea-plugins (1.8.2) jammy; urgency=medium

  [ Michael Zanetti ]
  * Shelly: Don't print password in debug logs
  * Fronius: Remove a non critical but spamming warning message

  [ Simon Stürz ]
  * go-eCharger: improve API V2 refreshing to reduce wallbox load

  [ Michael Zanetti ]
  * Easee: Various fixes after beta testing

 -- jenkins <developer@nymea.io>  Tue, 18 Jul 2023 12:21:46 +0200

nymea-plugins (1.8.1) jammy; urgency=medium

  [ Michael Zanetti ]
  * Shelly: Mark devices offline on any polling network error
  * EVBox: Fix processing erraneous packets that still pass the CRC
    check and a double action finish() call

 -- jenkins <developer@nymea.io>  Wed, 07 Jun 2023 15:51:28 +0200

nymea-plugins (1.8.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * go-e: Add possibility to control charging phases
  * Shelly: Reconfigure CoAP on gen 1 shellies if they don't send any
    data
  * Notify.Events: Fix a typo in meta.json
  * New Plugin: Easee
  * EQ-3, Tado: Update thermostats windowOpenDetected states
  * Shelly: Fix creation of children for the Plus 2PM
  * Meross: Fix polling for totalEnergy
  * EVBox: Split thing class into one with and one without meter
  * Shelly: Add support for the Shelly Pro 3EM
  * Update extendedclosable interfaces
  * Bosswerk: Don't poll the device when it's unreachable
  * Sunposition: Add new rpi build for simplejson
  * Shelly: Rework Gen 2 device handling

  [ Simon Stürz ]
  * go-eCharger: Fix API V2 energy value parsing

  [ Jenkins ]
  * Philips Hue: Add support for Hue Tap Dial

  [ Michael Zanetti ]
  * Tado: Suppress a warning when thermostat is off

  [ Simon Stürz ]
  * Fronius: Fix PV power if there are multiple inverters

 -- jenkins <developer@nymea.io>  Tue, 16 May 2023 12:59:26 +0200

nymea-plugins (1.7.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * Netatmo: Add min/max values for co2 sensors
  * Add support for Shelly Plus 2PM
  * EVBox: Rework plugin to allow addressing multiple boxes on same bus

  [ Simon Stürz ]
  * Fronius: Set energy live states to 0 if not connected
  * go-eCharger: Set energy live states to 0 if not connected
  * Keba: Set energy live states to 0 if not connected
  * mystrom: Set current power to 0 if not connected
  * powerfox: Set current power to 0 if not connected
  * solarlog: Set energy states to 0 if not connected

  [ Michael Zanetti ]
  * AQI: Add min/max values to pressure state
  * Netatmo: Add min/max values to pressure state
  * SensorTag: Add min/max to pressure state
  * New plugin: Notify.Events
  * Kodi: Rework setup
  * Update python plugin dependencies to include dependabot alerts
  * Shelly: Workaround bad counter values
  * PushNotifications: Add more options for sending push notifications
  * Shelly plus plug s

 -- jenkins <developer@nymea.io>  Tue, 07 Mar 2023 19:21:45 +0100

nymea-plugins (1.6.3) jammy; urgency=medium


 -- jenkins <developer@nymea.io>  Wed, 01 Feb 2023 12:17:57 +0100

nymea-plugins (1.6.2) jammy; urgency=medium

  [ Michael Zanetti ]
  * go-e: Improve error messages
  * Update python deps to certifi
  * EVBox: Mark discovery as weak

 -- jenkins <developer@nymea.io>  Mon, 16 Jan 2023 14:35:44 +0100

nymea-plugins (1.6.1) jammy; urgency=medium

  [ Simon Stürz ]
  * Netatmo: fix OAuth2 credentials loading from api key provider

 -- jenkins <developer@nymea.io>  Fri, 23 Dec 2022 11:32:21 +0100

nymea-plugins (1.6.0) jammy; urgency=medium

  [ Michael Zanetti ]
  * AQI: Reorder interfaces based on their relevancy

  [ Jenkins ]
  * Wemo: Change link in Readme
  * TP-Link: Added urls to read me

  [ Christian Fetzer ]
  * New plugin: ESPuino

  [ Jenkins ]
  * Shelly: Add note regarding time sync needed to display total power
    measurements

  [ Simon Stürz ]
  * Move SMA plugin to nymea-plugins-modbus repository

  [ Michael Zanetti ]
  * New plugin: EVBox


=== debian/control ===
Source: nymea-plugins
Section: utils
Priority: optional
Maintainer: nymea GmbH <contact@nymea.io>
Standards-Version: 4.6.0
Build-depends: debhelper (>= 0.0.0),
               libnymea-dev (>= 0.26~),
               libnymea-mqtt-dev,
               libnymea-gpio-dev (>= 1.0.0~),
               libqt5serialport5-dev,
               libqt5websockets5-dev,
               nymea-dev-tools:native,
               pkg-config,
               python3:any,
               qtbase5-dev,
               qtconnectivity5-dev,
               libow-dev,
               libsodium-dev,
               libudev-dev,
               libhidapi-dev,
               libssl-dev,


Package: nymea-plugin-anel
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for ANEL Elektronik NET-PwrCtrl power sockets
 This package contains the nymea integration plugin for ANEL Elektronik NET-PwrCtrl
 network controlled power sockets.


Package: nymea-plugin-aqi
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin to fetch the air quaility index from http://aqicn.org
 This package contains the nymea integration plugin for the air quality index online service


Package: nymea-plugin-avahimonitor
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for avahimonitor
 This package contains the nymea integration plugin for monitoring network devices via mDNS


Package: nymea-plugin-awattar
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for awattar
 This package contains the nymea integration plugin for the awattar online service


Package: nymea-plugin-bimmerconnected
Architecture: any
Depends: ${misc:Depends},
         rustc,
Description: nymea integration plugin for bimmerconnected
 This package contains a nymea integration plugin for BMW cars with
 BMW Connect via the bimmerconnected community project.


Package: nymea-plugin-bluos
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for bluos
 This package contains the nymea integration plugin for bluos based media devices


Package: nymea-plugin-bose
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for bose soundtouch
 This package contains the nymea integration plugin for bose soundtouch devices.


Package: nymea-plugin-bosswerk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nymea integration plugin for Bosswerk micro inverters
 This package contains the nymea integration plugin for Bosswerk micro inverters.


Package: nymea-plugin-coinmarketcap
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for coin market cap
 This package contains the nymea integration plugin for the coinmarketcap online service


Package: nymea-plugin-commandlauncher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for commandlauncher
 This package contains the nymea integration plugin for launching system commands


Package: nymea-plugin-daikinairco
Architecture: any
Depends: ${misc:Depends},
         python3-pip,
Description: nymea integration plugin for Daikin airconditioning units
 This package contains the nymea integration plugin for Daikin airconditioning units.


Package: nymea-plugin-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for datetime
 This package contains the nymea integration plugin for date and time related features


Package: nymea-plugin-daylightsensor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for a mathematical daylight sensor
 This package contains a plugin for a mathematical daylight sensor. That means
 it will work without any internet connection or hardware. It computes daylight
 times based on the geographical location of the nymea instance.


Package: nymea-plugin-denon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for denon
 This package contains the nymea integration plugin for Denon sound devices


Package: nymea-plugin-dht
Architecture: any
Depends: ${misc:Depends},
         python3-pip,
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for DHT11/DHT22/AM2302
 This plugin add support for the DHT11, DHT22 and AM2302 temperature and humidity
 sensors to nymea.


Package: nymea-plugin-doorbird
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for DoorBird
 This package contains the nymea integration plugin for DoorBird doorbells


Package: nymea-plugin-dweetio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for dweet.io
 This package contains the nymea integration plugin for dweet.io


Package: nymea-plugin-dynatrace
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for dynatrace
 This package contains the nymea integration plugin for the dynatrace UFO


Package: nymea-plugin-easee
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nymea integration plugin for easee wallboxes
 This package contains the nymea integration plugin for easee wallboxes


Package: nymea-plugin-elgato
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for elgato
 This package contains the nymea integration plugin for devices from Elgato


Package: nymea-plugin-espuino
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for ESPuino
 This package contains the nymea integration plugin for ESPuino devices.


Package: nymea-plugin-evbox
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nymea integration plugin for EVBox
 This package contains the nymea integration plugin for EVBox wallboxes
 implementing the Protocol Max v4.


Package: nymea-plugin-everest
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nymea integration plugin for EVerest based EV chargers
 This package will install the nymea integration plugin for
 EVerest based EV charger


Package: nymea-plugin-fastcom
Architecture: any
Depends: ${misc:Depends},
         python3-pip,
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for fast.com based internet speed test
 This package contains the nymea integration plugin for performing ineternet speed
 tests using fast.com


Package: nymea-plugin-flowercare
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for Xiaomi Flower care devices
 This package contains the nymea integration plugin for Xiaomi Flower care devices,
 also know as Plant care or MiCare


Package: nymea-plugin-fronius
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for Fronius PV inverters
 This package contains the nymea integration plugin for Fronius solar inverters


Package: nymea-plugin-eq-3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for eq-3
 This package contains the nymea integration plugin for eq-3 devices


Package: nymea-plugin-garadget
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for Garadget
 This package contains the nymea integration plugin for Garadget Garage Door Opener


Package: nymea-plugin-gpio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnymea-gpio,
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for gpio
 This package contains the nymea integration plugin to interact with GPIOs


Package: nymea-plugin-goecharger
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for the go-eCharger wallbox
 This package contains the nymea integration plugin for the go-eCharger wallbox


Package: nymea-plugin-homeconnect
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for home connect
 This package contains the nymea integration plugin for home connect appliances


Package: nymea-plugin-i2cdevices
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for I2C devies
 This plugin adds support for I2C devices to nymea.
 Currently supported devices are the ADS1114/1114/1115 and the Pi-16ADC.


Package: nymea-plugin-kodi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for kodi
 This package contains the nymea integration plugin for kodi


Package: nymea-plugin-lgsmarttv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for lgsmarttv
 This package contains the nymea integration plugin for smart tvs from LG


Package: nymea-plugin-lifx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for lifx
 This package contains the nymea integration plugin for lifx devices

Package: nymea-plugin-logilink
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (< 1.0.1)
Description: nymea integration plugin for Logilink power sockets
 This package contains the nymea integration plugin for Logilink PDU
 network controlled power sockets.

Package: nymea-plugin-mecelectronics
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: nymea-plugins-translations (<< 1.0.1)
Description: nymea integration plugin for mec electronics devices
 This package will add support for the mec meter to nymea.


Package: nymea-plugin-meross
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nymea integration plugin for meross devices
 This package will add support for the meross devices to nymea.


Package: nymea-plugin-mailnotification
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},

## nymea-plugins 1.9.5+202410281526~bullseye1

=== debian/changelog ===
nymea-plugins (1.9.5+202410281526~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * go-eCharger: Update phase count handling and disable phase switching
    …

  [ Jenkins ]
  * Shelly: Improve debug logging when offline

 -- jenkins <developer@nymea.io>  Mon, 28 Oct 2024 15:26:41 +0100

nymea-plugins (1.9.4) jammy; urgency=medium

  [ Simon Stürz ]
  * Keba: Add support for P30 PV Edition
  * Update debian copyright
  * New plugin: Add EVerest EV charger plugin

 -- jenkins <developer@nymea.io>  Tue, 01 Oct 2024 16:54:08 +0200

## nymea-plugins 1.10.0+202412191348~bullseye1

=== debian/changelog ===
nymea-plugins (1.10.0+202412191348~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * New plugin: ESP Somfy RTS
  * go-E: Disable unsupported IPv6 discovery
  * EVerest: Autosetup connectors on localhost
  * Kodi: Fix unregister nonexisting plugin timer
  * Fronius: Improve connection handling and fix dead connection failing
    …

 -- jenkins <developer@nymea.io>  Thu, 19 Dec 2024 13:49:37 +0100

nymea-plugins (1.9.5) jammy; urgency=medium

  [ Simon Stürz ]
  * go-eCharger: Update phase count handling and disable phase switching
    …

  [ Jenkins ]
  * Shelly: Improve debug logging when offline

 -- jenkins <developer@nymea.io>  Mon, 28 Oct 2024 15:26:41 +0100

## nymea-plugins 1.11.0+202503302035~bullseye1

=== debian/changelog ===
nymea-plugins (1.11.0+202503302035~bullseye1) bullseye; urgency=medium
  [ Simon Stürz ]
  * NetworkDetector: Update to networkdevice interface
  * EVerest: Update to networkdevice interface
  * Bosswerk: Update to networkdevice interface
  * Fronius: Update to networkdevice interface
  * go-eCharger: Update to networkdevice interface
  * Keba: Update to networkdevice interface
  * Meross: Update to networkdevice interface
  * WakeOnLan: Update to new network device discovery
  * ESP Somfy RTS: Update to networkdevice interface
  * Shelly: Add support for Gen3 hardware and fix #739
  * go-e: Update phase detection for charging and connected phases
  * EVerest: Fix invalid data handling from multiport charger
  * EVerest: Add phase switching
  * Tado: Update account authentication to device code grant

 -- jenkins <developer@nymea.io>  Sun, 30 Mar 2025 20:36:48 +0200

nymea-plugins (1.10.0) jammy; urgency=medium

  [ Simon Stürz ]
  * New plugin: ESP Somfy RTS
  * go-E: Disable unsupported IPv6 discovery
  * EVerest: Autosetup connectors on localhost
  * Kodi: Fix unregister nonexisting plugin timer
  * Fronius: Improve connection handling and fix dead connection failing
    …

 -- jenkins <developer@nymea.io>  Thu, 19 Dec 2024 13:49:37 +0100

=== debian/control ===
--- 
+++ 
@@ -214,6 +214,15 @@
  This package contains the nymea integration plugin for ESPuino devices.
 
 
+Package: nymea-plugin-espsomfyrts
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Conflicts: nymea-plugins-translations (<< 1.0.1)
+Description: nymea integration plugin for ESP-Somfy-RTS
+ This package contains the nymea integration plugin for the ESP Somfy RTS project.
+
+
 Package: nymea-plugin-evbox
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -368,13 +377,3 @@
 
 Package: nymea-plugin-meross
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Description: nymea integration plugin for meross devices
- This package will add support for the meross devices to nymea.
-
-
-Package: nymea-plugin-mailnotification
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},

## nymea-plugins 1.12.0+202509251050~focal1

=== fastcom/requirements.txt ===
fastdotcom==0.0.3 \
    --hash=sha256:84647d665119cfbef01bf785607b85d7a29353208605ca53a4155c331e407cd6 \
    --hash=sha256:c77689b5595e0ef89d60d5d3a2f669ef2f158d2868fda65e1201d91b53e013b3
certifi==2022.12.7 \
    --hash=sha256:35824b4c3a97115964b408844d64aa14db1cc518f6562e8d7261699d1350a9e3 \
    --hash=sha256:4ad3232f5e926d6718ec31cfc1fcadfde020920e278684144551c91769c7bc18 \
    --hash=sha256:cb52c7519140a4c2b84314220b3f08768882bb58176f3acc039ccac101d51870
idna==2.10 \
    --hash=sha256:b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0 \
    --hash=sha256:4a57a6379512ade94fa99e2fa46d3cd0f2f553040548d0e2958c6ed90ee48226
chardet==3.0.4 \
    --hash=sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691
urllib3==1.26.5 \
    --hash=sha256:753a0374df26658f99d826cfe40394a686d05985786d946fbe4165b5148f5a7c \
    --hash=sha256:a7acd0977125325f516bda9735fa7142b909a8d01e8b2e4c8108d0984e6e0098
requests==2.25.1 \
    --hash=sha256:27973dd4a904a4f13b263a19c866c13b92a39ed1c964655f025f3f8d3d75b804 \
    --hash=sha256:c210084e36a42ae6b9219e00e48287def368a26d03a048ddad7bfee44f75871e

## nymea-plugins 1.12.0+202509251050~trixie1

=== dht/requirements.txt ===
adafruit-circuitpython-dht==3.6.1 \
    --hash=sha256:dc7ff98c82db88531affea7c92b7bc470ab1002730c3fd0cf54bafc020f6e333 \
    --hash=sha256:7267c9d5bfc96ace5614ab92cba335343a768c9e72eec388e50e43f484e9b7b8
Adafruit-Blinka==6.13.0 \
    --hash=sha256:acbcfb778dc5e37ad9ef0aa1e1998e597a99c8a2a08b0dda58c05681950ea1f2 \
    --hash=sha256:4749873ee982f86d9fda03c1b81b01c042dfe8eda026b14dc98375e1866d3f0a
pyftdi==0.53.2 \
    --hash=sha256:5ba6de65bfc7f9ac9ace145d0a3b5f6f24778a405876bd96a4e361437cc4ce77 \
    --hash=sha256:eb88b0583c2ece4f1072ae7951f841f25fb71770833bb53d234c2936adc40841
Adafruit-PureIO==1.1.9 \
    --hash=sha256:2caf22fb07c7f771d83267f331a76cde314723f884a9570ea6f768730c87a879 \
    --hash=sha256:17473ffd6f00af6d4be37579baabc396cfceb682b305272e457f078241b6fd0e \
    --hash=sha256:e5dfec2c4ccb7dbe9eef3dfc76a3b04121fc62d77fd8fbe1a8e841468a1b0c4c
pyusb==1.1.0 \
    --hash=sha256:d69ed64bff0e2102da11b3f49567256867853b861178689671a163d30865c298 \
    --hash=sha256:65686357bf89ec727189fbee1cf93b2cf15b82117ec17f88817137445db2c4e2
pyserial==3.5 \
    --hash=sha256:3c77e014170dfffbd816e6ffc205e9842efb10be9f58ec16d3e8675b4925cddb \
    --hash=sha256:c4451db6ba391ca6ca299fb3ec7bae67a5c55dde170964c7a14ceefec02f2cf0
Adafruit-PlatformDetect==3.15.3 \
    --hash=sha256:726782879e1dc18c1b2f50301ab3f04c3a7817a54e35c955ee2bb64a6d60df74 \
    --hash=sha256:e8c349cab441458886fb333e70e7d1134329cb23e5590a13da05d5a53df8c988
sysv-ipc==1.1.0 \
    --hash=sha256:0f063cbd36ec232032e425769ebc871f195a7d183b9af32f9901589ea7129ac3 \
    --hash=sha256:30611dccecd8fa0dc9f83d4d465e5047692df0ec9a095abef8b90ccc64afbdaf \
    --hash=sha256:4bbbe4e5ad5ab859e6d21fc8ff3e3b01082b959fa5c2cd76289dbcd56350c5f9 \
    --hash=sha256:61190b934b0277f7a189092dcabceee8d9736fd73de90fd9b50ea69f0bac4723 \
    --hash=sha256:ff6e3c98d8aa3e1ae5378d86869c4699c76f94318705d08085c97fb010770a31 \
    --hash=sha256:3cc523ce39338200c0ad7735c48267a26735690977b4eb4879bd8e10b4e7a82d \
    --hash=sha256:0ef1f4360d0c4e353f63d43743911c060881ebf920c95ec8adfa4fcbf58955da
rpi-ws281x==4.3.0 \
    --hash=sha256:0b9549687ab7117acbc4bac0e92742fd2c8290fd204514d72fed91c06ba2e805 \
    --hash=sha256:656f86d9cda8ff2e2b0368c17b6afdf898234d414133bcc10f214864a6843453 \
    --hash=sha256:e62576713938f81a4448711c41646caded0684b1df2ee4ff43ccd32d1dddd81f \
    --hash=sha256:bb999bf0de56bd0eed81f2e68bb69d436a32eca4bf9059bbaa61f744c27f4024
RPi.GPIO==0.7.1 \
    --hash=sha256:15311d3b063b71dee738cd26570effc9985a952454d162937c34e08c0fc99902 \
    --hash=sha256:26b2ade4bb353bbe5417a64e40b45cdf00a82f27c2d320c0dd46c59751959d77 \
    --hash=sha256:29226823da8b5ccb9001d795a944f2e00924eeae583490f0bc7317581172c624 \
    --hash=sha256:57b6c044ef5375a78c8dda27cdfadf329e76aa6943cd6cffbbbd345a9adf9ca5 \
    --hash=sha256:77afb817b81331ce3049a4b8f94a85e41b7c404d8e56b61ac0f1eb75c3120868 \
    --hash=sha256:96ea7e5bf6bf592828487bfa7d3d1d0e432d5d1682e9e33b4dab398914628fcd \
    --hash=sha256:b86b66dc02faa5461b443a1e1f0c1d209d64ab5229696f32fb3b0215e0600c8c \
    --hash=sha256:cd61c4b03c37b62bba4a5acfea9862749c33c618e0295e7e90aa4713fb373b70 \
    --hash=sha256:231f6142c25975a7e39b96faf4905f05f97dba6809e8c5f0d58f284b35b4b821 \
    --hash=sha256:e5dfec2c4ccb7dbe9eef3dfc76a3b04121fc62d77fd8fbe1a8e841468a1b0c4c

=== neatobotvac/requirements.txt ===
pybotvac==0.0.20 \
    --hash=sha256:d4d9d348ee2f3b7472b78bd80f9653406af6e351aa0362ac191055a304930b33 \
    --hash=sha256:e49a3258f251da0d56764797efb01ba730537b6344ff03b57542142f0640b273
setuptools==65.5.1 \
    --hash=sha256:d0b9a8433464d5800cbe05094acf5c6d52a91bfac9b52bcfc4d41382be5d5d31 \
    --hash=sha256:e197a19aa8ec9722928f2206f8de752def0e4c9fc6953527360d1c36d94ddb2f \
    --hash=sha256:5142de54f515d937b0989408c6b980e8ad5f50bad7c07aa32309c5c83f6606fc
requests-oauthlib==1.3.0 \
    --hash=sha256:7f71572defaecd16372f9006f33c2ec8c077c3cfa6f5911a9a90202beb513f3d \
    --hash=sha256:b4261601a71fd721a8bd6d7aa1cc1d6a8a93b4a9f5e96626f8e4d91e8beeaa6a \
    --hash=sha256:fa6c47b933f01060936d87ae9327fead68768b69c6c9ea2109c48be30f2d4dbc
oauthlib==3.1.0 \
    --hash=sha256:bee41cc35fcca6e988463cacc3bcb8a96224f470ca547e697b604cc697b2f889 \
    --hash=sha256:df884cd6cbe20e32633f1db1072e9356f53638e4361bef4e8b03c9127c9328ea
requests==2.25.1 \
    --hash=sha256:27973dd4a904a4f13b263a19c866c13b92a39ed1c964655f025f3f8d3d75b804 \
    --hash=sha256:c210084e36a42ae6b9219e00e48287def368a26d03a048ddad7bfee44f75871e
voluptuous==0.12.1 \
    --hash=sha256:663572419281ddfaf4b4197fd4942d181630120fb39b333e3adad70aeb56444b \
    --hash=sha256:8ace33fcf9e6b1f59406bfaf6b8ec7bcc44266a9f29080b4deb4fe6ff2492386
urllib3==1.26.5 \
    --hash=sha256:753a0374df26658f99d826cfe40394a686d05985786d946fbe4165b5148f5a7c \
    --hash=sha256:a7acd0977125325f516bda9735fa7142b909a8d01e8b2e4c8108d0984e6e0098
chardet==4.0.0 \
    --hash=sha256:0d6f53a15db4120f2b08c94f11e7d93d2c911ee118b6b30a04ec3ee8310179fa \
    --hash=sha256:f864054d66fd9118f2e67044ac8981a54775ec5b67aed0441892edb553d21da5
certifi==2022.12.7 \
    --hash=sha256:35824b4c3a97115964b408844d64aa14db1cc518f6562e8d7261699d1350a9e3 \
    --hash=sha256:4ad3232f5e926d6718ec31cfc1fcadfde020920e278684144551c91769c7bc18 \
    --hash=sha256:cb52c7519140a4c2b84314220b3f08768882bb58176f3acc039ccac101d51870
launchpadlib==1.10.13 \
    --hash=sha256:5804d68ec93247194449d17d187e949086da0a4d044f12155fad269ef8515435 \
    --hash=sha256:f61a591aff60a9315da09131eeb000bfb8287b788d1899a161e727ca22b1989f
httplib2==0.19.0 \
    --hash=sha256:749c32603f9bf16c1277f59531d502e8f1c2ca19901ae653b49c4ed698f0820e \
    --hash=sha256:e0d428dad43c72dbce7d163b7753ffc7a39c097e6788ef10f4198db69b92f08e
keyring==23.0.0 \
    --hash=sha256:237ff44888ba9b3918a7dcb55c8f1db909c95b6f071bfb46c6918f33f453a68a \
    --hash=sha256:29f407fd5509c014a6086f17338c70215c8d1ab42d5d49e0254273bc0a64bbfc
lazr.uri==1.0.5 \
    --hash=sha256:f36e7e40d5f8f2cf20ff2c81784a14a546e6c19c216d40a6617ebe0c96c92c49 \
    --hash=sha256:71f2faf04b148cf63d78da08ee5d8d6a7a7dbda8c9016b389a16f790d080c06f
six==1.15.0 \
    --hash=sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259 \
    --hash=sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced
testresources==2.0.1 \
    --hash=sha256:67a361c3a2412231963b91ab04192209aa91a1aa052f0ab87245dbea889d1282 \
    --hash=sha256:ee9d1982154a1e212d4e4bac6b610800bfb558e4fb853572a827bc14a96e4417
wadllib==1.3.5 \
    --hash=sha256:84fecbaec2fef5ae2d7717a8115d271f18c6b5441eac861c58be8ca57f63c1d3 \
    --hash=sha256:67d3102b40eefdd6c3007cfbcc4c07f6948fec0666ba5c17d703eab21f054692
lazr.restfulclient==0.14.3 \
    --hash=sha256:9f28bbb7c00374159376bd4ce36b4dacde7c6b86a0af625aa5e3ae214651a690 \
    --hash=sha256:2320e6d132c9a5148895e85be03274bc9305e4605439b03541ee3a618e00fb94
pyparsing==2.4.7 \
    --hash=sha256:c203ec8783bf771a155b207279b9bccb8dea02d8f0c9e5f8ead507bc3246ecc1 \
    --hash=sha256:ef9d7589ef3c200abe66653d3f1ab1033c3c419ae9b9bdb1240a85b024efc88b
jeepney==0.6.0 \
    --hash=sha256:7d59b6622675ca9e993a6bd38de845051d315f8b0c72cca3aef733a20b648657 \
    --hash=sha256:aec56c0eb1691a841795111e184e13cad504f7703b9a64f63020816afa79a8ae
importlib-metadata==3.7.0 \
    --hash=sha256:24499ffde1b80be08284100393955842be4a59c7c16bbf2738aad0e464a8e0aa \
    --hash=sha256:c6af5dbf1126cd959c4a8d8efd61d4d3c83bddb0459a17e554284a077574b614
pbr==5.5.1 \
    --hash=sha256:5fad80b613c402d5b7df7bd84812548b2a61e9977387a80a5fc5c396492b13c9 \
    --hash=sha256:b236cde0ac9a6aedd5e3c34517b423cd4fd97ef723849da6b0d2231142d89c00
SecretStorage==3.3.1 \
    --hash=sha256:422d82c36172d88d6a0ed5afdec956514b189ddbfb72fefab0c8a1cee4eaf71f \
    --hash=sha256:fd666c51a6bf200643495a04abb261f83229dcb6fd8472ec393df7ffc8b6f195
distro==1.5.0 \
    --hash=sha256:0e58756ae38fbd8fc3020d54badb8eae17c5b9dcbed388b17bb55b8a5928df92 \
    --hash=sha256:df74eed763e18d10d0da624258524ae80486432cd17392d9c3d96f5e83cd2799
zipp==3.4.1 \
    --hash=sha256:3607921face881ba3e026887d8150cca609d517579abe052ac81fc5aeffdbd76 \
    --hash=sha256:51cb66cc54621609dd593d1787f286ee42a5c0adbb4b29abea5a63edc3e03098
cffi==1.14.5 \
    --hash=sha256:005a36f41773e148deac64b08f233873a4d0c18b053d37da83f6af4d9087b813 \
    --hash=sha256:0857f0ae312d855239a55c81ef453ee8fd24136eaba8e87a2eceba644c0d4c06 \
    --hash=sha256:1071534bbbf8cbb31b498d5d9db0f274f2f7a865adca4ae429e147ba40f73dea \
    --hash=sha256:158d0d15119b4b7ff6b926536763dc0714313aa59e320ddf787502c70c4d4bee \
    --hash=sha256:1f436816fc868b098b0d63b8920de7d208c90a67212546d02f84fe78a9c26396 \
    --hash=sha256:2894f2df484ff56d717bead0a5c2abb6b9d2bf26d6960c4604d5c48bbc30ee73 \
    --hash=sha256:29314480e958fd8aab22e4a58b355b629c59bf5f2ac2492b61e3dc06d8c7a315 \
    --hash=sha256:34eff4b97f3d982fb93e2831e6750127d1355a923ebaeeb565407b3d2f8d41a1 \
    --hash=sha256:35f27e6eb43380fa080dccf676dece30bef72e4a67617ffda586641cd4508d49 \
    --hash=sha256:3d3dd4c9e559eb172ecf00a2a7517e97d1e96de2a5e610bd9b68cea3925b4892 \
    --hash=sha256:43e0b9d9e2c9e5d152946b9c5fe062c151614b262fda2e7b201204de0b99e482 \
    --hash=sha256:48e1c69bbacfc3d932221851b39d49e81567a4d4aac3b21258d9c24578280058 \
    --hash=sha256:51182f8927c5af975fece87b1b369f722c570fe169f9880764b1ee3bca8347b5 \
    --hash=sha256:58e3f59d583d413809d60779492342801d6e82fefb89c86a38e040c16883be53 \
    --hash=sha256:5de7970188bb46b7bf9858eb6890aad302577a5f6f75091fd7cdd3ef13ef3045 \
    --hash=sha256:65fa59693c62cf06e45ddbb822165394a288edce9e276647f0046e1ec26920f3 \
    --hash=sha256:69e395c24fc60aad6bb4fa7e583698ea6cc684648e1ffb7fe85e3c1ca131a7d5 \
    --hash=sha256:6c97d7350133666fbb5cf4abdc1178c812cb205dc6f41d174a7b0f18fb93337e \
    --hash=sha256:6e4714cc64f474e4d6e37cfff31a814b509a35cb17de4fb1999907575684479c \
    --hash=sha256:72d8d3ef52c208ee1c7b2e341f7d71c6fd3157138abf1a95166e6165dd5d4369 \
    --hash=sha256:8ae6299f6c68de06f136f1f9e69458eae58f1dacf10af5c17353eae03aa0d827 \
    --hash=sha256:8b198cec6c72df5289c05b05b8b0969819783f9418e0409865dac47288d2a053 \
    --hash=sha256:99cd03ae7988a93dd00bcd9d0b75e1f6c426063d6f03d2f90b89e29b25b82dfa \
    --hash=sha256:9cf8022fb8d07a97c178b02327b284521c7708d7c71a9c9c355c178ac4bbd3d4 \
    --hash=sha256:9de2e279153a443c656f2defd67769e6d1e4163952b3c622dcea5b08a6405322 \
    --hash=sha256:9e93e79c2551ff263400e1e4be085a1210e12073a31c2011dbbda14bda0c6132 \
    --hash=sha256:9ff227395193126d82e60319a673a037d5de84633f11279e336f9c0f189ecc62 \
    --hash=sha256:a465da611f6fa124963b91bf432d960a555563efe4ed1cc403ba5077b15370aa \
    --hash=sha256:ad17025d226ee5beec591b52800c11680fca3df50b8b29fe51d882576e039ee0 \
    --hash=sha256:afb29c1ba2e5a3736f1c301d9d0abe3ec8b86957d04ddfa9d7a6a42b9367e396 \
    --hash=sha256:b85eb46a81787c50650f2392b9b4ef23e1f126313b9e0e9013b35c15e4288e2e \
    --hash=sha256:bb89f306e5da99f4d922728ddcd6f7fcebb3241fc40edebcb7284d7514741991 \
    --hash=sha256:cbde590d4faaa07c72bf979734738f328d239913ba3e043b1e98fe9a39f8b2b6 \
    --hash=sha256:cd2868886d547469123fadc46eac7ea5253ea7fcb139f12e1dfc2bbd406427d1 \
    --hash=sha256:d42b11d692e11b6634f7613ad8df5d6d5f8875f5d48939520d351007b3c13406 \
    --hash=sha256:f2d45f97ab6bb54753eab54fffe75aaf3de4ff2341c9daee1987ee1837636f1d \
    --hash=sha256:fd78e5fee591709f32ef6edb9a015b4aa1a5022598e36227500c8f4e02328d9c \
    --hash=sha256:9338beed13d880320450d95c9e07ccf839faa3ea7b75d788f4ed46d845044a71 \
    --hash=sha256:d0e95cbb1c7c11ff8d3195dadecb5459ee1fa9aace817e06ac229a8a2cf2e28e
pycparser==2.20 \
    --hash=sha256:2d475327684562c3a96cc71adf7dc8c4f0565175cf86b6d7a404ff4c771f15f0 \
    --hash=sha256:7582ad22678f0fcd81102833f60ef8d0e57288b6b5fb00323d101be910e35705
idna==2.5 \
    --hash=sha256:3cb5ce08046c4e3a560fc02f138d0ac63e00f8ce5901a56b32ec8b7994082aab \
    --hash=sha256:cc19709fd6d0cbfed39ea875d29ba6d4e22c0cebc510a76d6302a28385e8bb70
typing-extensions==3.7.4.3 \
    --hash=sha256:7cb407020f00f7bfc3cb3e7881628838e69d8f3fcab2f64742a5e76b2f841918 \
    --hash=sha256:99d4073b617d30288f569d3f13d2bd7548c3a7e4c8de87db09a9d29bb3a4a60c \
    --hash=sha256:dafc7639cde7f1b6e1acc0f457842a83e722ccca8eef5270af2d74792619a89f
cryptography==39.0.1 \
    --hash=sha256:0f8da300b5c8af9f98111ffd512910bc792b4c77392a9523624680f7956a99d4 \
    --hash=sha256:35f7c7d015d474f4011e859e93e789c87d21f6f4880ebdc29896a60403328f1f \
    --hash=sha256:5aa67414fcdfa22cf052e640cb5ddc461924a045cacf325cd164e65312d99502 \
    --hash=sha256:5d2d8b87a490bfcd407ed9d49093793d0f75198a35e6eb1a923ce1ee86c62b41 \
    --hash=sha256:6687ef6d0a6497e2b58e7c5b852b53f62142cfa7cd1555795758934da363a965 \
    --hash=sha256:6f8ba7f0328b79f08bdacc3e4e66fb4d7aab0c3584e0bd41328dce5262e26b2e \
    --hash=sha256:706843b48f9a3f9b9911979761c91541e3d90db1ca905fd63fee540a217698bc \
    --hash=sha256:807ce09d4434881ca3a7594733669bd834f5b2c6d5c7e36f8c00f691887042ad \
    --hash=sha256:83e17b26de248c33f3acffb922748151d71827d6021d98c70e6c1a25ddd78505 \
    --hash=sha256:96f1157a7c08b5b189b16b47bc9db2332269d6680a196341bf30046330d15388 \
    --hash=sha256:aec5a6c9864be7df2240c382740fcf3b96928c46604eaa7f3091f58b878c0bb6 \
    --hash=sha256:b0afd054cd42f3d213bf82c629efb1ee5f22eba35bf0eec88ea9ea7304f511a2 \
    --hash=sha256:ced4e447ae29ca194449a3f1ce132ded8fcab06971ef5f618605aacaa612beac \
    --hash=sha256:d1f6198ee6d9148405e49887803907fe8962a23e6c6f83ea7d98f1c0de375695 \
    --hash=sha256:e124352fd3db36a9d4a21c1aa27fd5d051e621845cb87fb851c08f4f75ce8be6 \
    --hash=sha256:e422abdec8b5fa8462aa016786680720d78bdce7a30c652b7fadf83a4ba35336 \
    --hash=sha256:ef8b72fa70b348724ff1218267e7f7375b8de4e8194d1636ee60510aae104cd0 \
    --hash=sha256:f0c64d1bd842ca2633e74a1a28033d139368ad959872533b1bab8c80e8240a0c \
    --hash=sha256:f24077a3b5298a5a06a8e0536e3ea9ec60e4c7ac486755e5fb6e6ea9b3500106 \
    --hash=sha256:fdd188c8a6ef8769f148f88f859884507b954cc64db6b52f66ef199bb9ad660a \
    --hash=sha256:fe913f20024eb2cb2f323e42a64bdf2911bb9738a15dba7d3cce48151034e3a8 \
    --hash=sha256:ad7d599ce67b51e286c613ad26c751aa52463d7214db8a4eccefa310eb9db10f

## nymea-plugins 1.12.1+202510161605~focal1

=== sunposition/requirements.txt ===
simplejson==3.18.3 \
    --hash=sha256:04a4b9a297cccbc9e1d66fe652fbffd55b36d6579c43132e821d315957302194 \
    --hash=sha256:063db62a9251e61ea0c17e49c3e7bed465bfcc5359655abcb8c0bc6130a4e0d4 \
    --hash=sha256:070ab073ce72f1624107dfd6d095c87ac32aafe7ba54a5c5055a3dd83cb06e51 \
    --hash=sha256:099bbd3b5b4ea83159a980348cd481a34984dee5fe1b9fac31a9137158f46960 \
    --hash=sha256:0baf8c60efef74944ed4adb034d14bcf737731576f0e4c3c56fb875ea256af69 \
    --hash=sha256:0e7c3fae6c9540064e06a653780b4f263675cd69ca6841345029fee3e27e9bb5 \
    --hash=sha256:141782a0a25c1792627575b37b4951583358ccc7137623aa45947f8425ee8d96 \
    --hash=sha256:14b35fb90083218e59df5dba733c7086655f2938f3fcabe36ad849623941d660 \
    --hash=sha256:169c2c7446ef33439c304a6aa5b7b5a2dbc938c9c2dd882dd3f2553f9518ebf6 \
    --hash=sha256:16cc750d19852fa5ebafd55da86fa357f87991e07b4e2afb37a5975dfdde0153 \
    --hash=sha256:1907d49d70c75530976119c13785db91168d2599288debaca7d25da9cd2f3747 \
    --hash=sha256:1b79e2607ac5ba98381c2e068727acc1e4dd385a6d216914c0613f8f568a06a5 \
    --hash=sha256:1e49c84df6e71e3c23169d3df481565dd607cbee4aa1e0af15c493cccad7c745 \
    --hash=sha256:23fce984045804194f513a2739dcd82be350198470d5ade5058da019a48cf3f8 \
    --hash=sha256:24823364fee93bab141621b3a2e10612e31be7ca58788bf9b2cd2b1ce37ab07d \
    --hash=sha256:290bbcdcbb37af3f7e43378f592ab7a9168fca640da6af63d42cdb535f96bbf2 \
    --hash=sha256:2a1b3222bc8f6ac91b5ebe3263111c7dc4dc4b01c52f0153f5bb1f3ef3bf0023 \
    --hash=sha256:2b0f6de11f5ce4b80f51bc49d08b898602e190547f8efe4e44af8ae3cda7779d \
    --hash=sha256:2be75f4cb9951efeb2616e16f944ee4f9a09768475a3f5c40a6ac4dc5ee68dfd \
    --hash=sha256:2c7ee643ee93684bf76196e2d84a2090c6df8f01737a016e869b579593827b6e \
    --hash=sha256:37bdef13412c0bc338db2993a38f3911d5bd2a0ba8d00b3bc66d1063edd7c33e \
    --hash=sha256:3bab9ea49ff477c926c5787f79ec47cf51c7ffb15c9d8dd0f09e728807d44f4b \
    --hash=sha256:44d6c52d4f5c0c087a6e88a92bf9f94234321d21be32c6471ba39856e304bbe3 \
    --hash=sha256:4b8d4d958c5ab3489d1174917a7fad82da642560c39ce559a624e63deaaa36b1 \
    --hash=sha256:4de9fed1166aeedee44150fa83bc059aca6b612940281f8b5a39374781f16196 \
    --hash=sha256:502d86fbfe914263642479b87ed61af3b27b9e039df77acd2416cfccfc892e68 \
    --hash=sha256:508342d7227ed66beecfbba7a38b46e1a713faeb034216f43f03ec5c175e0622 \
    --hash=sha256:50f4b6d52f3a2d1cffd11834a1fe7f9516f0e3f20cbe78027aa88ff990fad7d6 \
    --hash=sha256:52465a5578cfc2c5e374a574df14dfb75e04c6cb6a100b7abc8bf6c89bea8f5e \
    --hash=sha256:55aa983575b0aef143845f5bfbb35075475eccaebf7d4b30f4037a2fe8414666 \
    --hash=sha256:55df3dfd8777bf134e1078d2f195352432a77f23ccb90b92b08218123d56adc9 \
    --hash=sha256:56f186d44a9f625b5e5d9ba4b9551e263604000a7df60cb373b3e789ca603b2a \
    --hash=sha256:5780e3929435a8d39671537174f8ce0ccafb4f6e0c748ffe139916ffbdca39d3 \
    --hash=sha256:59a629240cfbc5b4f390a8578dca74ae77ab617de971862acb946822d2eb1b11 \
    --hash=sha256:5b009342e712026ffabe8a471d5b4a4ff2a038687387e74eae601574c04dae33 \
    --hash=sha256:62628ea5df8c830d00a7417d5ecd949a1b24a8d0a5063a2a77f7ec7522110a0f \
    --hash=sha256:694332fd6fd10fe8868c2508583220d1a1a7be9ff049dab5bd6b9aedfb9edc50 \
    --hash=sha256:6a49665169c18f27a0fc10935466332ee7406ee14ced8dc0a1b4d465547299aa \
    --hash=sha256:6b997739fdbc9b7030ff490fc8e5f8c144b8ec80f3605eff643983672bb8cfde \
    --hash=sha256:6bd81d10cb3384f64242316da8a2b2f88618776bc1ef38bcc79f1afe8ad36616 \
    --hash=sha256:6c4c56c5abb82e22877b913186e5c0fd7d9eef0c930719e28fa451d3f11defb4 \
    --hash=sha256:6fe1173b4146641c872bafa6f9a21f3a2012f502d54fbb523a76e6320024fae9 \
    --hash=sha256:75eb555dc349d0cbe2c95ea2be665b306c6ac6d5b64e3a3920af9b805ecdb5f7 \
    --hash=sha256:7c26fe63755ecc59c502ddde8e58ce8b765bf4fdd3f5858d2b7c8ab28bc2a9c8 \
    --hash=sha256:7e73d9d6af3c29b60a92e28b3144d951110f59a3d05fc402c3f6c5248b883400 \
    --hash=sha256:7ff65b475091084e5bdb7f26e9c555956be7355b573ce494fa96f9f8e34541ac \
    --hash=sha256:8209c40279ed9b2cd5fbe2d617a29a074e90ea97fce7c07a0128a01cb3e8afc5 \
    --hash=sha256:88f59a07873dc1f06fd9e6712dd71286f1b297a066ad2fd9110ad080d3cb011c \
    --hash=sha256:96ade36640734b54176c4765d00a60767bd7fae5b7a5b3574accc055ac18e34c \
    --hash=sha256:9cf299fbb7d476676dfea372a3262654af98694bd1df35b060ce0fe1b68087f1 \
    --hash=sha256:a2960b95f3ba822d077d1afa7e1fea9799cfb2990028cf010e666f64195ecb5a \
    --hash=sha256:a80bd9a3db88a76a401155c64e3499376c702307c2206cb381cc2a8dd9cc4f1f \
    --hash=sha256:aad323e92cb1bd3b1db6f57c007dca964d13c52247ad844203ce381e94066601 \
    --hash=sha256:ab5bdf0b8d07f7fd603b2d0c1982412cd9f8ade997088ddced251f7e656c7fd4 \
    --hash=sha256:b0352428b35da859a98770949e7353866ae65463026f1c8e4c89a6395d4b5fd7 \
    --hash=sha256:b2c4e8b65987f3c6529149495d28e23efe213e94dc3659176c4ab22d18a9ee4a \
    --hash=sha256:bcd9eac304a133ee4af58e68c5ded4c5ba663d3ee4602e8613359b776a1f8c8f \
    --hash=sha256:c3b696770b504f881f271f97b94a687487ec1ef20bfbd5f20d92bbab7a85952d \
    --hash=sha256:c4514675f6571da8190fea52a110bca686fa844972e8b2b3bc07ace9e632ee4f \
    --hash=sha256:c98fddc374468158778a8afb3fd7296412a2b2fc34cebba64212ac3e018e7382 \
    --hash=sha256:cde5a3ff5e0bd5d6da676314dfae86c9e99bff77bca03d30223c9718a58f9e83 \
    --hash=sha256:cf7168b2046db0eceb83d8ed2ee31c0847ce18b2d8baf3e93de9560f3921a8c3 \
    --hash=sha256:d774782159347d66563cd7ac18b9dd37010438a825160cde4818caa18110a746 \
    --hash=sha256:d990ea42ba908cb57a3df97d283aa26c1822f10a0a60e250b54ee21cd08c48d0 \
    --hash=sha256:e762e9d8556fa9f3a99f8a278eeba50a35b5f554b82deeb282ddbdd85816e638 \
    --hash=sha256:e8a4750e8db92109e6f1f7783a7faae4254d6d5dc28a41ff7eff7d2265f0586b \
    --hash=sha256:eb81cfef0c0039010f0212f4e5eb6909641b8a54c761584054ac97fd7bd0c21a \
    --hash=sha256:ebb53837c5ffcb6100646018565d3f1afed6f4b185b14b2c9cbccf874fe40157 \
    --hash=sha256:efa70fd9b6c7b57b048ecadb909683acd535cddebc5b22f3c05ba3b369739caf \
    --hash=sha256:f73bae5e315adf7bc8cb7f0a13a1e9e33bead42e8ce174be83ac9ecc2513c86a \
    --hash=sha256:f89f078114cacedb9a3392615cc099cf02a51efa7507f90e2006bf7ec38c880d \
    --hash=sha256:f9f72d2b539512f382a48cc9ad6cea2d3a572e71e92c40e03d2140041eeaa233 \
    --hash=sha256:fc8df5831b645e96a318ea51a66ce6e2bb869eebc3fa9a860bbf67aecd270055 \
    --hash=sha256:41e0c4186dd238dfca90b364dbeb1e4c01243c2652858ec7b1c6b93de75413b2
numpy==1.21.6 \
    --hash=sha256:1dbe1c91269f880e364526649a52eff93ac30035507ae980d2fed33aaee633ac \
    --hash=sha256:357768c2e4451ac241465157a3e929b265dfac85d9214074985b1786244f2ef3 \
    --hash=sha256:3820724272f9913b597ccd13a467cc492a0da6b05df26ea09e78b171a0bb9da6 \
    --hash=sha256:4391bd07606be175aafd267ef9bea87cf1b8210c787666ce82073b05f202add1 \
    --hash=sha256:4aa48afdce4660b0076a00d80afa54e8a97cd49f457d68a4342d188a09451c1a \
    --hash=sha256:58459d3bad03343ac4b1b42ed14d571b8743dc80ccbf27444f266729df1d6f5b \
    --hash=sha256:5c3c8def4230e1b959671eb959083661b4a0d2e9af93ee339c7dada6759a9470 \
    --hash=sha256:5f30427731561ce75d7048ac254dbe47a2ba576229250fb60f0fb74db96501a1 \
    --hash=sha256:643843bcc1c50526b3a71cd2ee561cf0d8773f062c8cbaf9ffac9fdf573f83ab \
    --hash=sha256:67c261d6c0a9981820c3a149d255a76918278a6b03b6a036800359aba1256d46 \
    --hash=sha256:67f21981ba2f9d7ba9ade60c9e8cbaa8cf8e9ae51673934480e45cf55e953673 \
    --hash=sha256:6aaf96c7f8cebc220cdfc03f1d5a31952f027dda050e5a703a0d1c396075e3e7 \
    --hash=sha256:7c4068a8c44014b2d55f3c3f574c376b2494ca9cc73d2f1bd692382b6dffe3db \
    --hash=sha256:7c7e5fa88d9ff656e067876e4736379cc962d185d5cd808014a8a928d529ef4e \
    --hash=sha256:7f5ae4f304257569ef3b948810816bc87c9146e8c446053539947eedeaa32786 \
    --hash=sha256:82691fda7c3f77c90e62da69ae60b5ac08e87e775b09813559f8901a88266552 \
    --hash=sha256:8737609c3bbdd48e380d463134a35ffad3b22dc56295eff6f79fd85bd0eeeb25 \
    --hash=sha256:9f411b2c3f3d76bba0865b35a425157c5dcf54937f82bbeb3d3c180789dd66a6 \
    --hash=sha256:a6be4cb0ef3b8c9250c19cc122267263093eee7edd4e3fa75395dfda8c17a8e2 \
    --hash=sha256:bcb238c9c96c00d3085b264e5c1a1207672577b93fa666c3b14a45240b14123a \
    --hash=sha256:bf2ec4b75d0e9356edea834d1de42b31fe11f726a81dfb2c2112bc1eaa508fcf \
    --hash=sha256:d136337ae3cc69aa5e447e78d8e1514be8c3ec9b54264e680cf0b4bd9011574f \
    --hash=sha256:d4bf4d43077db55589ffc9009c0ba0a94fa4908b9586d6ccce2e0b164c86303c \
    --hash=sha256:d6a96eef20f639e6a97d23e57dd0c1b1069a7b4fd7027482a4c5c451cd7732f4 \
    --hash=sha256:d9caa9d5e682102453d96a0ee10c7241b72859b01a941a397fd965f23b3e016b \
    --hash=sha256:dd1c8f6bd65d07d3810b90d02eba7997e32abbdf1277a481d698969e921a3be0 \
    --hash=sha256:e31f0bb5928b793169b87e3d1e070f2342b22d5245c755e2b81caa29756246c3 \
    --hash=sha256:ecb55251139706669fdec2ff073c98ef8e9a84473e51e716211b41aa0f18e656 \
    --hash=sha256:ee5ec40fdd06d62fe5d4084bef4fd50fd4bb6bfd2bf519365f569dc470163ab0 \
    --hash=sha256:f17e562de9edf691a42ddb1eb4a5541c20dd3f9e65b09ded2beb0799c0cf29bb \
    --hash=sha256:fdffbfb6832cd0b300995a2b08b8f6fa9f6e856d562800fea9182316d99c4e8e
